---
title: doplarr
---
<!-- DO NOT EDIT THIS FILE MANUALLY  -->
<!-- Please read the https://github.com/linuxserver/docker-doplarr/blob/main/.github/CONTRIBUTING.md -->

# [linuxserver/doplarr](https://github.com/linuxserver/docker-doplarr)

[![Scarf.io pulls](https://scarf.sh/installs-badge/linuxserver-ci/linuxserver%2Fdoplarr?color=94398d&label-color=555555&logo-color=ffffff&style=for-the-badge&package-type=docker)](https://scarf.sh/gateway/linuxserver-ci/docker/linuxserver%2Fdoplarr)
[![GitHub Stars](https://img.shields.io/github/stars/linuxserver/docker-doplarr.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-doplarr)
[![GitHub Release](https://img.shields.io/github/release/linuxserver/docker-doplarr.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-doplarr/releases)
[![GitHub Package Repository](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub%20Package&logo=github)](https://github.com/linuxserver/docker-doplarr/packages)
[![GitLab Container Registry](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitLab%20Registry&logo=gitlab)](https://gitlab.com/linuxserver.io/docker-doplarr/container_registry)
[![Quay.io](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Quay.io)](https://quay.io/repository/linuxserver.io/doplarr)
[![Docker Pulls](https://img.shields.io/docker/pulls/linuxserver/doplarr.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=pulls&logo=docker)](https://hub.docker.com/r/linuxserver/doplarr)
[![Docker Stars](https://img.shields.io/docker/stars/linuxserver/doplarr.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=stars&logo=docker)](https://hub.docker.com/r/linuxserver/doplarr)
[![Jenkins Build](https://img.shields.io/jenkins/build?labelColor=555555&logoColor=ffffff&style=for-the-badge&jobUrl=https%3A%2F%2Fci.linuxserver.io%2Fjob%2FDocker-Pipeline-Builders%2Fjob%2Fdocker-doplarr%2Fjob%2Fmain%2F&logo=jenkins)](https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-doplarr/job/main/)
[![LSIO CI](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=CI&query=CI&url=https%3A%2F%2Fci-tests.linuxserver.io%2Flinuxserver%2Fdoplarr%2Flatest%2Fci-status.yml)](https://ci-tests.linuxserver.io/linuxserver/doplarr/latest/index.html)

[Doplarr](https://github.com/kiranshila/Doplarr) is an *arr request bot for Discord."

## Supported Architectures

We utilise the docker manifest for multi-platform awareness. More information is available from docker [here](https://github.com/docker/distribution/blob/master/docs/spec/manifest-v2-2.md#manifest-list) and our announcement [here](https://blog.linuxserver.io/2019/02/21/the-lsio-pipeline-project/).

Simply pulling `lscr.io/linuxserver/doplarr:latest` should retrieve the correct image for your arch, but you can also pull specific arch images via tags.

The architectures supported by this image are:

| Architecture | Available | Tag |
| :----: | :----: | ---- |
| x86-64 | ✅ | amd64-\<version tag\> |
| arm64 | ✅ | arm64v8-\<version tag\> |
| armhf | ❌ | |

## Application Setup

Start by following the [Discord](https://github.com/kiranshila/Doplarr#discord) setup instructions from Doplarr's readme.

NOTE: The `DISCORD__TOKEN` environment variable is required to run the container!

- If you are using Overseerr, fill in the Overseerr API and URL variables, and leave the Radarr/Sonarr variables blank.
- If you are using Radarr/Sonarr (and not using Overseerr), fill in the Radarr/Sonarr API and URL variables, and leave the Overseerr variables blank.

Extra java options can be passed with the JAVA_OPTS environment variable, eg `-e JAVA_OPTS="-Xmx256m -Xms256m"`.

Review and adjust any [Optional Settings](https://github.com/kiranshila/Doplarr#optional-settings) from Doplarr's readme.

## Usage

To help you get started creating a container from this image you can either use docker-compose or the docker cli.

### docker-compose (recommended, [click here for more info](https://docs.linuxserver.io/general/docker-compose))

```yaml
---
version: "2.1"
services:
  doplarr:
    image: lscr.io/linuxserver/doplarr:latest
    container_name: doplarr
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - DISCORD__TOKEN=
      - OVERSEERR__API=
      - OVERSEERR__URL=http://localhost:5055
      - RADARR__API=
      - RADARR__URL=http://localhost:7878
      - SONARR__API=
      - SONARR__URL=http://localhost:8989
      - DISCORD__MAX_RESULTS=25 #optional
      - DISCORD__REQUESTED_MSG_STYLE=:plain #optional
      - SONARR__QUALITY_PROFILE= #optional
      - RADARR__QUALITY_PROFILE= #optional
      - SONARR__ROOTFOLDER= #optional
      - RADARR__ROOTFOLDER= #optional
      - SONARR__LANGUAGE_PROFILE= #optional
      - OVERSEERR__DEFAULT_ID= #optional
      - PARTIAL_SEASONS=true #optional
      - LOG_LEVEL=:info #optional
      - JAVA_OPTS= #optional
    volumes:
      - /path/to/appdata/config:/config
    restart: unless-stopped
```

### docker cli ([click here for more info](https://docs.docker.com/engine/reference/commandline/cli/))

```bash
docker run -d \
  --name=doplarr \
  -e PUID=1000 \
  -e PGID=1000 \
  -e TZ=Etc/UTC \
  -e DISCORD__TOKEN= \
  -e OVERSEERR__API= \
  -e OVERSEERR__URL=http://localhost:5055 \
  -e RADARR__API= \
  -e RADARR__URL=http://localhost:7878 \
  -e SONARR__API= \
  -e SONARR__URL=http://localhost:8989 \
  -e DISCORD__MAX_RESULTS=25 `#optional` \
  -e DISCORD__REQUESTED_MSG_STYLE=:plain `#optional` \
  -e SONARR__QUALITY_PROFILE= `#optional` \
  -e RADARR__QUALITY_PROFILE= `#optional` \
  -e SONARR__ROOTFOLDER= `#optional` \
  -e RADARR__ROOTFOLDER= `#optional` \
  -e SONARR__LANGUAGE_PROFILE= `#optional` \
  -e OVERSEERR__DEFAULT_ID= `#optional` \
  -e PARTIAL_SEASONS=true `#optional` \
  -e LOG_LEVEL=:info `#optional` \
  -e JAVA_OPTS= `#optional` \
  -v /path/to/appdata/config:/config \
  --restart unless-stopped \
  lscr.io/linuxserver/doplarr:latest

```

## Parameters

Docker images are configured using parameters passed at runtime (such as those above). These parameters are separated by a colon and indicate `<external>:<internal>` respectively. For example, `-p 8080:80` would expose port `80` from inside the container to be accessible from the host's IP on port `8080` outside the container.

### Ports (`-p`)

| Parameter | Function |
| :----: | --- |

### Environment Variables (`-e`)

| Env | Function |
| :----: | --- |
| `PUID=1000` | for UserID - see below for explanation |
| `PGID=1000` | for GroupID - see below for explanation |
| `TZ=Etc/UTC` | specify a timezone to use, see this [list](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones#List). |
| `DISCORD__TOKEN=` | Specify your discord bot token. |
| `OVERSEERR__API=` | Specify your Overseerr API key. Leave blank if using Radarr/Sonarr. |
| `OVERSEERR__URL=http://localhost:5055` | Specify your Overseerr URL. Leave blank if using Radarr/Sonarr. |
| `RADARR__API=` | Specify your Radarr API key. Leave blank if using Overseerr. |
| `RADARR__URL=http://localhost:7878` | Specify your Radarr URL. Leave blank if using Overseerr. |
| `SONARR__API=` | Specify your Sonarr API key. Leave blank if using Overseerr. |
| `SONARR__URL=http://localhost:8989` | Specify your Sonarr URL. Leave blank if using Overseerr. |
| `DISCORD__MAX_RESULTS=25` | Sets the maximum size of the search results selection |
| `DISCORD__REQUESTED_MSG_STYLE=:plain` | Sets the style of the request alert message. One of `:plain` `:embed` `:none` |
| `SONARR__QUALITY_PROFILE=` | The name of the quality profile to use by default for Sonarr |
| `RADARR__QUALITY_PROFILE=` | The name of the quality profile to use by default for Radarr |
| `SONARR__ROOTFOLDER=` | The root folder to use by default for Sonarr |
| `RADARR__ROOTFOLDER=` | The root folder to use by default for Radarr |
| `SONARR__LANGUAGE_PROFILE=` | The name of the language profile to use by default for Sonarr |
| `OVERSEERR__DEFAULT_ID=` | The Overseerr user id to use by default if there is no associated discord account for the requester |
| `PARTIAL_SEASONS=true` | Sets whether users can request partial seasons. |
| `LOG_LEVEL=:info` | The log level for the logging backend. This can be changed for debugging purposes. One of trace `:debug` `:info` `:warn` `:error` `:fatal` `:report` |
| `JAVA_OPTS=` | For passing additional java options. |

### Volume Mappings (`-v`)

| Volume | Function |
| :----: | --- |
| `/config` | Contains all relevant configuration files. |

#### Miscellaneous Options

| Parameter | Function |
| :-----:   | --- |

## Environment variables from files (Docker secrets)

You can set any environment variable from a file by using a special prepend `FILE__`.

As an example:

```bash
-e FILE__PASSWORD=/run/secrets/mysecretpassword
```

Will set the environment variable `PASSWORD` based on the contents of the `/run/secrets/mysecretpassword` file.

## Umask for running applications

For all of our images we provide the ability to override the default umask settings for services started within the containers using the optional `-e UMASK=022` setting.
Keep in mind umask is not chmod it subtracts from permissions based on it's value it does not add. Please read up [here](https://en.wikipedia.org/wiki/Umask) before asking for support.

## User / Group Identifiers

When using volumes (`-v` flags), permissions issues can arise between the host OS and the container, we avoid this issue by allowing you to specify the user `PUID` and group `PGID`.

Ensure any volume directories on the host are owned by the same user you specify and any permissions issues will vanish like magic.

In this instance `PUID=1000` and `PGID=1000`, to find yours use `id user` as below:

```bash
  $ id username
    uid=1000(dockeruser) gid=1000(dockergroup) groups=1000(dockergroup)
```

## Docker Mods

[![Docker Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=doplarr&query=%24.mods%5B%27doplarr%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=doplarr "view available mods for this container.") [![Docker Universal Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=universal&query=%24.mods%5B%27universal%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=universal "view available universal mods.")

We publish various [Docker Mods](https://github.com/linuxserver/docker-mods) to enable additional functionality within the containers. The list of Mods available for this image (if any) as well as universal mods that can be applied to any one of our images can be accessed via the dynamic badges above.

## Support Info

* Shell access whilst the container is running:
  * `docker exec -it doplarr /bin/bash`
* To monitor the logs of the container in realtime:
  * `docker logs -f doplarr`
* Container version number
  * `docker inspect -f '{{ index .Config.Labels "build_version" }}' doplarr`
* Image version number
  * `docker inspect -f '{{ index .Config.Labels "build_version" }}' lscr.io/linuxserver/doplarr:latest`

## Versions

* **18.12.22:** - Rebase to alpine 3.17, upgrade to openjdk17.
* **01.05.22:** - Remove `DISCORD__ROLE_ID` environment variable, see [Permissions Configuration](https://github.com/kiranshila/Doplarr/blob/main/docs/configuration.md#permissions).
* **30.01.22:** - Variable adjustments.
* **30.01.22:** - Initial Release.
