---
title: homeassistant
---
<!-- DO NOT EDIT THIS FILE MANUALLY  -->
<!-- Please read the https://github.com/linuxserver/docker-homeassistant/blob/main/.github/CONTRIBUTING.md -->

# [linuxserver/homeassistant](https://github.com/linuxserver/docker-homeassistant)

[![Scarf.io pulls](https://scarf.sh/installs-badge/linuxserver-ci/linuxserver%2Fhomeassistant?color=94398d&label-color=555555&logo-color=ffffff&style=for-the-badge&package-type=docker)](https://scarf.sh/gateway/linuxserver-ci/docker/linuxserver%2Fhomeassistant)
[![GitHub Stars](https://img.shields.io/github/stars/linuxserver/docker-homeassistant.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-homeassistant)
[![GitHub Release](https://img.shields.io/github/release/linuxserver/docker-homeassistant.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-homeassistant/releases)
[![GitHub Package Repository](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub%20Package&logo=github)](https://github.com/linuxserver/docker-homeassistant/packages)
[![GitLab Container Registry](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitLab%20Registry&logo=gitlab)](https://gitlab.com/linuxserver.io/docker-homeassistant/container_registry)
[![Quay.io](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Quay.io)](https://quay.io/repository/linuxserver.io/homeassistant)
[![Docker Pulls](https://img.shields.io/docker/pulls/linuxserver/homeassistant.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=pulls&logo=docker)](https://hub.docker.com/r/linuxserver/homeassistant)
[![Docker Stars](https://img.shields.io/docker/stars/linuxserver/homeassistant.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=stars&logo=docker)](https://hub.docker.com/r/linuxserver/homeassistant)
[![Jenkins Build](https://img.shields.io/jenkins/build?labelColor=555555&logoColor=ffffff&style=for-the-badge&jobUrl=https%3A%2F%2Fci.linuxserver.io%2Fjob%2FDocker-Pipeline-Builders%2Fjob%2Fdocker-homeassistant%2Fjob%2Fmain%2F&logo=jenkins)](https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-homeassistant/job/main/)
[![LSIO CI](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=CI&query=CI&url=https%3A%2F%2Fci-tests.linuxserver.io%2Flinuxserver%2Fhomeassistant%2Flatest%2Fci-status.yml)](https://ci-tests.linuxserver.io/linuxserver/homeassistant/latest/index.html)

[Home Assistant Core](https://www.home-assistant.io/) - Open source home automation that puts local control and privacy first. Powered by a worldwide community of tinkerers and DIY enthusiasts. Perfect to run on a Raspberry Pi or a local server.

## Supported Architectures

We utilise the docker manifest for multi-platform awareness. More information is available from docker [here](https://github.com/docker/distribution/blob/master/docs/spec/manifest-v2-2.md#manifest-list) and our announcement [here](https://blog.linuxserver.io/2019/02/21/the-lsio-pipeline-project/).

Simply pulling `lscr.io/linuxserver/homeassistant:latest` should retrieve the correct image for your arch, but you can also pull specific arch images via tags.

The architectures supported by this image are:

| Architecture | Available | Tag |
| :----: | :----: | ---- |
| x86-64 | ✅ | amd64-\<version tag\> |
| arm64 | ✅ | arm64v8-\<version tag\> |
| armhf| ✅ | arm32v7-\<version tag\> |

## Application Setup

This image is based on Home Assistant Core.

The Webui can be found at `http://your-ip:8123`. Follow the wizard to set up Home Assistant.

## Usage

To help you get started creating a container from this image you can either use docker-compose or the docker cli.

### docker-compose (recommended, [click here for more info](https://docs.linuxserver.io/general/docker-compose))

```yaml
---
version: "2.1"
services:
  homeassistant:
    image: lscr.io/linuxserver/homeassistant:latest
    container_name: homeassistant
    network_mode: host
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/London
    volumes:
      - /path/to/data:/config
    ports:
      - 8123:8123 #optional
    devices:
      - /path/to/device:/path/to/device #optional
    restart: unless-stopped
```

### docker cli ([click here for more info](https://docs.docker.com/engine/reference/commandline/cli/))

```bash
docker run -d \
  --name=homeassistant \
  --net=host \
  -e PUID=1000 \
  -e PGID=1000 \
  -e TZ=Europe/London \
  -p 8123:8123 `#optional` \
  -v /path/to/data:/config \
  --device /path/to/device:/path/to/device `#optional` \
  --restart unless-stopped \
  lscr.io/linuxserver/homeassistant:latest
```

#### Host vs. Bridge

Home Assistant can [discover][hb0] and automatically configure
[zeroconf][hb1]/[mDNS][hb2] and [UPnP][hb3] devices on your network. In
order for this to work you must create the container with `--net=host`.

[hb0]: https://www.home-assistant.io/integrations/discovery/#mdns-and-upnp
[hb1]: https://en.wikipedia.org/wiki/Zero-configuration_networking
[hb2]: https://en.wikipedia.org/wiki/Multicast_DNS
[hb3]: https://en.wikipedia.org/wiki/Universal_Plug_and_Play

## Parameters

Docker images are configured using parameters passed at runtime (such as those above). These parameters are separated by a colon and indicate `<external>:<internal>` respectively. For example, `-p 8080:80` would expose port `80` from inside the container to be accessible from the host's IP on port `8080` outside the container.

### Ports (`-p`)

| Parameter | Function |
| :----: | --- |
| `8123` | Application WebUI, only use this if you are not using host mode. |

#### Networking (`--net`)

| Parameter | Function |
| :-----:   | --- |
| `--net=host` | Shares host networking with container. Required for some devices to be discovered by Home Assistant. |

### Environment Variables (`-e`)

| Env | Function |
| :----: | --- |
| `PUID=1000` | for UserID - see below for explanation |
| `PGID=1000` | for GroupID - see below for explanation |
| `TZ=Europe/London` | Specify your TimeZone e.g. Europe/London. |

### Volume Mappings (`-v`)

| Volume | Function |
| :----: | --- |
| `/config` | Home Assistant config storage path. |

### Device Mappings (`--device`)

| Parameter | Function |
| :-----:   | --- |
| `/path/to/device` | For passing through USB, serial or gpio devices. |

#### Miscellaneous Options

| Parameter | Function |
| :-----:   | --- |

## Environment variables from files (Docker secrets)

You can set any environment variable from a file by using a special prepend `FILE__`.

As an example:

```bash
-e FILE__PASSWORD=/run/secrets/mysecretpassword
```

Will set the environment variable `PASSWORD` based on the contents of the `/run/secrets/mysecretpassword` file.

## Umask for running applications

For all of our images we provide the ability to override the default umask settings for services started within the containers using the optional `-e UMASK=022` setting.
Keep in mind umask is not chmod it subtracts from permissions based on it's value it does not add. Please read up [here](https://en.wikipedia.org/wiki/Umask) before asking for support.

## User / Group Identifiers

When using volumes (`-v` flags), permissions issues can arise between the host OS and the container, we avoid this issue by allowing you to specify the user `PUID` and group `PGID`.

Ensure any volume directories on the host are owned by the same user you specify and any permissions issues will vanish like magic.

In this instance `PUID=1000` and `PGID=1000`, to find yours use `id user` as below:

```bash
  $ id username
    uid=1000(dockeruser) gid=1000(dockergroup) groups=1000(dockergroup)
```

## Docker Mods

[![Docker Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=homeassistant&query=%24.mods%5B%27homeassistant%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=homeassistant "view available mods for this container.") [![Docker Universal Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=universal&query=%24.mods%5B%27universal%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=universal "view available universal mods.")

We publish various [Docker Mods](https://github.com/linuxserver/docker-mods) to enable additional functionality within the containers. The list of Mods available for this image (if any) as well as universal mods that can be applied to any one of our images can be accessed via the dynamic badges above.

## Support Info

* Shell access whilst the container is running:
  * `docker exec -it homeassistant /bin/bash`
* To monitor the logs of the container in realtime:
  * `docker logs -f homeassistant`
* Container version number
  * `docker inspect -f '{{ index .Config.Labels "build_version" }}' homeassistant`
* Image version number
  * `docker inspect -f '{{ index .Config.Labels "build_version" }}' lscr.io/linuxserver/homeassistant:latest`

## Versions

* **16.11.22:** - Fix the dep conflict for google calendar.
* **23.09.22:** - Migrate to s6v3.
* **29.07.22:** - Improve usb device permission fix.
* **07.07.22:** - Rebase to alpine 3.16, switch to cp310 wheels.
* **07.05.22:** - Build matplotlib with the same Numpy version as HA req.
* **31.03.22:** - Install pycups.
* **07.03.22:** - Install PySwitchbot.
* **02.03.22:** - Update pip and use legacy resolver, clean up temp python files, reduce image size.
* **04.02.22:** - Always compile grpcio on arm32v7 due to pypi pushing a glibc only wheel.
* **12.12.21:** - Use the new `build.yaml` to determine HA base version.
* **25.09.21:** - Use the new lsio homeassistant wheel repo, instead of the HA wheels.
* **13.09.21:** - Build psycopg locally as the HA provided wheel does not seem to work properly.
* **13.09.21:** - Fix setcap in service. Build CISO8601 locally as the HA provided wheel does not seem to work properly.
* **12.09.21:** - Rebase to alpine 3.14. Build on native armhf.
* **09.08.21:** - Fixed broken build caused by missing dependency.
* **01.07.21:** - Remove HACS dependencies as it caused a crash in Home-assistant.
* **25.02.21:** - Add python dependencies from homeassistant base image.
* **07.02.21:** - Fix building from the wrong requirement file. Add ssh client & external DB libs.
* **06.02.21:** - Add iputils so ping works as non root user.
* **30.01.21:** - Initial Release.
