---
title: jenkins-builder
---
<!-- DO NOT EDIT THIS FILE MANUALLY  -->
<!-- Please read the https://github.com/linuxserver/docker-jenkins-builder/blob/master/.github/CONTRIBUTING.md -->

# linuxserver/jenkins-builder

Expects to run as part of the LSIO CI process. Not for public consumption.

## Running against remote project

```bash
docker run --rm \
  -e CONTAINER_NAME=${CONTAINER_NAME} \
  -v ${TEMPDIR}:/ansible/jenkins \
  lscr.io/linuxserver/jenkins-builder:latest
```

## Running against local project

If you need to test functionality just navigate to the folder with the jenkins-vars.yml and run:

```bash
docker pull lscr.io/linuxserver/jenkins-builder:latest && \
docker run --rm \
  -v $(pwd):/tmp \
  -e LOCAL=true \
  -e PUID=$(id -u) -e PGID=$(id -g) \
  lscr.io/linuxserver/jenkins-builder:latest && \
rm -rf .jenkins-external
```

Newly generated files (including `README.md`, `Jenkinsfile`, issue templates, etc.) will overwrite the existing files in your current working directory.

## Building locally

If you want to make local modifications to these images for development purposes or just to customize the logic:

```bash
git clone https://github.com/linuxserver/docker-jenkins-builder.git
cd docker-jenkins-builder
docker build \
  --no-cache \
  --pull \
  -t lscr.io/linuxserver/jenkins-builder:latest .
```

The ARM variants can be built on x86_64 hardware using `multiarch/qemu-user-static`

```bash
docker run --rm --privileged multiarch/qemu-user-static:register --reset
```

Once registered you can define the dockerfile to use with `-f Dockerfile.aarch64`.

## Versions

The following line is only in this repo for loop testing:

- { date: "01.01.50:", desc: "I am the release message for this internal repo." }
